0

i have upgrade magento 2.3.5 to 2.4.0, after upgrade i get error in front-end and backend, like An error has happened during application run. See exception log for details. i have see in exception.log, in exception.log file error shows

Magento_GoogleShoppingAds data: current version - 3.0.1, required version - 4.0.1
Magento_Securitytxt schema: current version - none, required version - 1.0.0
Magento_Securitytxt data: current version - none, required version - 1.0.0
Amazon_Core schema: current version - 3.3.1, required version - 4.0.2
Amazon_Core data: current version - 3.3.1, required version - 4.0.2
Amazon_Login schema: current version - 3.3.1, required version - 4.0.2
Amazon_Login data: current version - 3.3.1, required version - 4.0.2
Amazon_Payment schema: current version - 3.3.1, required version - 4.0.2
Amazon_Payment data: current version - 3.3.1, required version - 4.0.2
Dotdigitalgroup_Email schema: current version - 4.1.0, required version - 4.6.0
Dotdigitalgroup_Email data: current version - 4.1.0, required version - 4.6.0
Dotdigitalgroup_Chat schema: current version - 1.0.0, required version - 1.1.0
Dotdigitalgroup_Chat data: current version - 1.0.0, required version - 1.1.0
Klarna_Core schema: current version - 5.2.3, required version - 6.0.1
Klarna_Core data: current version - 5.2.3, required version - 6.0.1
Klarna_Ordermanagement schema: current version - 5.0.7, required version - 6.0.2
Klarna_Ordermanagement data: current version - 5.0.7, required version - 6.0.2
Klarna_Onsitemessaging schema: current version - none, required version - 1.0.1
Klarna_Onsitemessaging data: current version - none, required version - 1.0.1
Klarna_Kp schema: current version - 6.4.0, required version - 7.0.1
Klarna_Kp data: current version - 6.4.0, required version - 7.0.1
PayPal_Braintree schema: current version - none, required version - 4.0.3
PayPal_Braintree data: current version - none, required version - 4.0.3
Yotpo_Yotpo schema: current version - 3.0.1, required version - 3.1.1
Yotpo_Yotpo data: current version - 3.0.1, required version - 3.1.1 at /home/martialartsmart/public_html/vendor/magento/framework/Module/Plugin/DbStatusValidator.php:66)"} []
[2020-09-15 03:58:19] main.CRITICAL: Notice: Trying to get property 'channel' of non-object in /home/martialartsmart/public_html/app/code/Mageplaza/Core/Model/Feed.php on line 74 {"report_id":"665d2447365606b732ecc8f51e1b9c6ea702891fea54ad2f53e5ce1334f806e2","exception":"[object] (Exception(code: 0): Notice: Trying to get property 'channel' of non-object in /home/martialartsmart/public_html/app/code/Mageplaza/Core/Model/Feed.php on line 74 at /home/martialartsmart/public_html/vendor/magento/framework/App/ErrorHandler.php:61)"} []

but when i check in database table setup_module all the modules are up to date,

when i run php -dmemory_limit=8G bin/magento setup:di:compile command its give me error like.

In ClassReader.php line 43:

  Class Magento\Braintree\Model\Adapter\BraintreeSearchAdapter does not exist


In ClassReader.php line 36:

  Class Magento\Braintree\Model\Adapter\BraintreeSearchAdapter does not exist

please help me on this, what should i check? next

2
  • You can try to use command line: php bin/magento setup:upgrade and php bin/magento setup:static-content:deploy -f Commented Sep 15, 2020 at 10:28
  • devdocs.magento.com/guides/v2.4/release-notes/… Braintree payment integration: Prior to Magento 2.4.0, it was recommended that merchants install and configure the official Braintree payment integration extension from the Magento Marketplace to replace the core integration. With this release (Magento 2.4.0), the extension is now included in the Magento release. Merchants must follow additional steps to ensure that Braintree works properly in a Magento 2.4.0 deployment. See Braintree for more information on how to migrate to Magento 2.4.0. Commented Sep 16, 2020 at 8:06

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.